Page 1 of 11 123 ... LastLast
Results 1 to 10 of 110

Thread: [SOLVED] Moving Zimbra to a new server

  1. #1
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Question [SOLVED] Moving Zimbra to a new server

    Hi there, I am sorry if this thread has been dupicated. I am wondering if anyone can offer some advice.

    Our current zimbra server is nearing capacity and we are looking to move the installation onto another server.

    the old box is Release 5.0.4_GA_2101.UBUNTU6 UBUNTU6 FOSS edition (ubuntu 6.06) however some of the hardware on the new box is not detected by it.

    I have installed 8.06 onto the new box, all has gone well.

    Reading from the following page Moving ZCS to Another Server » Zimbra :: Blog

    it says i should install the same version of Zimbra on the new box as the old one. When I try and load it. it is missing some dependencies.

    I tried to install the latest version on 8.06 and this also dose not meet the dependencies. I have gone into /utils/utilfunc.sh and changed the name of one of the dependencies to the name of the package that supersedes it. (libltdl3) to (libltdl7)

    Can I install the later version of Zimbra on the new box and still migrate over?

    Should I upgrade the current installation to the latest version first?

    Will either work with the new version of this LIb?

    Many thanks in advance

    Krolen
    Werneth School

  2. #2
    phoenix is online now Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,566
    Rep Power
    57

    Default

    You need to install the same version of Zimbra as you have on your old server, you should install the missing dependencies via your package management system.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  3. #3
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Question problems

    Quote Originally Posted by phoenix View Post
    You need to install the same version of Zimbra as you have on your old server, you should install the missing dependencies via your package management system.

    The problem is that the lib in question is not available in the the repositories. it seams to have been super-seeded. Will it do any harm to use the new Lib?

    Do you suggest i upgrade the current box to the same as the target box? so they are the same (apart from the lib)

    It is also winging about a later version of perl ? Will this also cause a problem?

    Sorry to be a pain. Any help is greatly appreciated.

    Krolen

  4. #4
    phoenix is online now Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,566
    Rep Power
    57

    Default

    Quote Originally Posted by krolen View Post
    It is also winging about a later version of perl ? Will this also cause a problem?
    Yes, that's a severe problem and you'll need the version of perl that is mentioned in the install. You really would be better installing this on Ubuntu 8.04 LTS and save yourself problems.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  5. #5
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Default

    Quote Originally Posted by phoenix View Post
    Yes, that's a severe problem and you'll need the version of perl that is mentioned in the install. You really would be better installing this on Ubuntu 8.04 LTS and save yourself problems.

    Sorry -( That was a typo, I have installed 8.04 not 8.6.. They are just what was picked up on the base install.

    i Will get some more information when i get back to the office tomorrow of the specific libs and versions on the new system. Thank you for your help so far.

    Krolen

  6. #6
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Default

    Quote Originally Posted by phoenix View Post
    You need to install the same version of Zimbra as you have on your old server, you should install the missing dependencies via your package management system.
    Unfortunately the lib in question is no longer in the repositories..

    You think then it will work with the new lib ? and do i upgrade the current Working machine to the latest version so they will both match ?

    Many thanks in advance

    Krolen

  7. #7
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Default things moving on.

    Hi again, thank you for your help with this. Much appreciated. I set up the dummy install upgraded the current box to the new version. And will start the migration tomorrow? do you think that i would be able to use SCP rather than an external disk?

    Many thanks (again)

    Krolen

  8. #8
    uxbod's Avatar
    uxbod is offline Moderator
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    24

    Default

    Obviously using scp will take longer dependent on your network architecture.

  9. #9
    krolen is offline Special Member
    Join Date
    Sep 2007
    Location
    Stockport
    Posts
    106
    Rep Power
    7

    Default zmfixperms

    Hi there.. Have run the zmfixperms script and there was no output from it whatsoever? is this correct?

    the first time i ran it i got the following:

    root@email:/opt/zimbra/libexec# sh zmfixperms
    zmfixperms: 20: shopt: not found

    the seccond time i ran there was nothing. it just came back to a terminal.?

    Andy

  10. #10
    uxbod's Avatar
    uxbod is offline Moderator
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    24

    Default

    Just run it as
    Code:
    /opt/zimbra/libexec/zmfixperms

Page 1 of 11 123 ... LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. zmmailboxdctl is not running !!!!!!
    By olibite in forum Administrators
    Replies: 14
    Last Post: 04-28-2011, 05:50 AM
  2. [SOLVED] Zimbra logwatch.
    By nishith in forum Administrators
    Replies: 5
    Last Post: 06-10-2009, 04:42 PM
  3. Replies: 31
    Last Post: 12-15-2007, 09:05 PM
  4. Can't start Zimbra!
    By zibra in forum Administrators
    Replies: 5
    Last Post: 03-22-2007, 11:34 AM
  5. 3.1 on FC4 problems
    By cohnhead in forum Installation
    Replies: 8
    Last Post: 05-26-2006, 11:16 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •